Bug 866912 - SELinux is preventing /usr/sbin/rpcbind from 'getattr' accesses on the file /etc/passwd.
SELinux is preventing /usr/sbin/rpcbind from 'getattr' accesses on the file /...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:389079b620ed2d57c894b9f6711...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 05:58 EDT by Dario Castellarin
Modified: 2012-12-20 11:14 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:14:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-16 05:58 EDT, Dario Castellarin
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-16 05:58 EDT, Dario Castellarin
no flags Details

  None (edit)
Description Dario Castellarin 2012-10-16 05:58:16 EDT
Description of problem:
Happened while updating rpcbind

Additional info:
libreport version: 2.0.16
kernel:         3.6.2-2.fc17.x86_64

description:
:SELinux is preventing /usr/sbin/rpcbind from 'getattr' accesses on the file /etc/passwd.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If si crede che rpcbind dovrebbe avere possibilità di accesso getattr sui passwd file in modo predefinito.
:Then si dovrebbe riportare il problema come bug.
:E' possibile generare un modulo di politica locale per consentire questo accesso.
:Do
:consentire questo accesso per il momento eseguendo:
:# grep rpcbind /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:rpcbind_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        rpcbind
:Source Path                   /usr/sbin/rpcbind
:Port                          <Sconosciuto>
:Host                          (removed)
:Source RPM Packages           rpcbind-0.2.0-17.fc17.x86_64
:Target RPM Packages           setup-2.8.48-1.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-154.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.2-2.fc17.x86_64 #1 SMP Mon Oct
:                              15 11:35:10 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-16 11:57:19 CEST
:Last Seen                     2012-10-16 11:57:19 CEST
:Local ID                      e514f710-05ce-4274-ae1f-c1aeb92d0b68
:
:Raw Audit Messages
:type=AVC msg=audit(1350381439.936:76): avc:  denied  { getattr } for  pid=3428 comm="rpcbind" path="/etc/passwd" dev="sda5" ino=664367 scontext=system_u:system_r:rpcbind_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1350381439.936:76): arch=x86_64 syscall=fstat success=yes exit=0 a0=5 a1=7fff12536240 a2=7fff12536240 a3=0 items=0 ppid=1 pid=3428 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=rpcbind exe=/usr/sbin/rpcbind subj=system_u:system_r:rpcbind_t:s0 key=(null)
:
:Hash: rpcbind,rpcbind_t,passwd_file_t,file,getattr
:
:audit2allow
:
:#============= rpcbind_t ==============
:allow rpcbind_t passwd_file_t:file getattr;
:
:audit2allow -R
:
:#============= rpcbind_t ==============
:allow rpcbind_t passwd_file_t:file getattr;
:
Comment 1 Dario Castellarin 2012-10-16 05:58:19 EDT
Created attachment 628066 [details]
File: type
Comment 2 Dario Castellarin 2012-10-16 05:58:21 EDT
Created attachment 628067 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-10-16 08:14:16 EDT
Fixed in F18. Also added to F17,
Comment 4 Fedora Update System 2012-10-17 08:36:54 EDT
selinux-policy-3.10.0-156.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-156.fc17
Comment 5 Fedora Update System 2012-10-17 20:28:19 EDT
Package selinux-policy-3.10.0-156.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-156.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16347/selinux-policy-3.10.0-156.fc17
then log in and leave karma (feedback).
Comment 6 Stephen Gallagher 2012-10-23 10:13:05 EDT
Not fixed on F18 as of selinux-policy-3.11.1-36.fc18.noarch
Comment 7 Daniel Walsh 2012-10-24 10:37:14 EDT
I see the rules in selinux-policy-3.11.1-41.fc18.noarch
Comment 8 Miroslav Grepl 2012-10-24 10:40:29 EDT
(In reply to comment #7)
> I see the rules in selinux-policy-3.11.1-41.fc18.noarch

Yes.
Comment 9 Michele Baldessari 2012-10-24 11:40:18 EDT
I guess 3.11.1-41.fc18 didn't yet trickle down to the normal f18 updates.

Tried selinux-policy-3.11.1-43 from koji and everything is dandy. 

Thanks guys!
Comment 10 Miroslav Grepl 2012-10-24 11:42:55 EDT
Yeap, -43 is an update.
Comment 11 Fedora Update System 2012-12-20 11:14:22 EST
selinux-policy-3.10.0-156.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.